<?php declare(strict_types=1);

enum QrbDataType : string
{
    case PDF_TEMPLATE = "PdfTemplate";
    case PDF_DATA     = "PdfData";
    case MAIL_BODY    = "MailBody";
    case MAIL_DATA    = "MailData";
    case CRED_INFO    = "CreditorInformation";
    case ADD_INFO     = "AdditionalInformation";
    case RECIPIENTS   = "Recipients";
    case TEST_RCPNTS  = "RecipientsTestRun";
    
    case MARKER_TEST  = "qr-bills-test-run";    // .marker
    case PROTOCOL     = "qr-bills-protocol";    // .csv
    case PDF_OUTPUT   = "qr-bill-";             // .pdf (remaining part of name is generated)
}

?>
